post
https://{youraccountname}.api-us1.com/api/3/lists
Creates a list. Only name is validated: stringid is generated from the name when left out, and the sender fields are not checked. Sending the private key makes the list private whatever its value.
Adding new lists may be subject to limits based on your account's tier.For more information about tiers, see https://www.activecampaign.com/pricing
For a list to visible in the "accounts" ui, a user group needs to be assigned to the list.If your newly-created Lists are not showing in the "accounts" user interface, it may be because a user group has not been to assigned to this List.
{
"list": {
"name": "Name of List",
"stringid": "Name-of-list",
"channel": "email",
"sender_url": "http://activecampaign.com",
"sender_reminder": "You are receiving this email as you subscribed to a newsletter when making an order on our site.",
"send_last_broadcast": 0,
"carboncopy": "",
"subscription_notify": "",
"unsubscription_notify": "",
"user": 1
}
}{
"list": {
"name": "Name of List",
"stringid": "Name-of-list",
"channel": "email",
"cdate": "2019-02-27T19:06:23-05:00",
"udate": "2019-02-27T19:06:23-05:00",
"links": {
"contactGoalLists": "https://:account.api-us1.com/api/:version/lists/6/contactGoalLists",
"user": "https://:account.api-us1.com/api/:version/lists/6/user",
"addressLists": "https://:account.api-us1.com/api/:version/lists/6/addressLists"
},
"id": "6"
}
} 422The list was not created: name is empty or contains HTML, or channel is not email or sms.
